Adds data to a buffer event's output buffer

- « EventBufferEvent::sslSocket

- EventBufferEvent::writeBuffer »

- PHP Manual
- EventBufferEvent
- Adds data to a buffer event's output buffer

# EventBufferEvent::write

(PECL event >= 1.2.6-beta)

EventBufferEvent::write — Adds data to a buffer event's output buffer

### Description

public EventBufferEvent::write( string `$data` ): bool

Adds `data` to a buffer event's output buffer

### Parameters

`data`

  Data to be added to the underlying buffer.

### Return Values

Returns `true` on success or `false` on failure.

### See Also

- EventBufferEvent::writeBuffer() - Adds contents of the entire buffer to a buffer event's output buffer